import 'package:example/screens/tosspayments/home.dart';
import 'package:example/screens/widget/payment_widget_example_page.dart';
import 'package:example/screens/widget/widget_home.dart';
import 'package:flutter/material.dart';
import 'package:flutter_dotenv/flutter_dotenv.dart';
import 'package:get/get.dart';
import 'package:tosspayments_widget_sdk_flutter/utils/phase.dart';

class Intro extends StatelessWidget {
  const Intro({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: SafeArea(
            child: Container(
                padding: const EdgeInsets.all(24),
                child: Column(
                  children: [
                    Row(
                      children: [
                        Expanded(
                            child: blueButton(
                                onPressed: () {
                                  Get.to(() => const Home());
                                },
                                text: '일반결제')),
                      ],
                    ),
                    const SizedBox(height: 20),
                    Row(children: [
                      Expanded(
                          child: blueButton(
                              onPressed: () {
                                Get.to(() => const WidgetHome());
                              },
                              text: '결제위젯'))
                    ]),
                    const SizedBox(height: 30),

                    // For Dev
                    DropdownButtonFormField(
                      value: Phase.staging,
                      decoration: const InputDecoration(
                        labelText: 'build variant',
                        floatingLabelBehavior: FloatingLabelBehavior.always,
                        labelStyle: TextStyle(fontSize: 15, color: Color(0xffcfcfcf)),
                      ),
                      onChanged: (Phase? newPhase) async {
                        if (newPhase == null) return;
                        PhaseConfig(newPhase);
                        await dotenv.load(fileName: ".env-${PhaseConfig.phase}");
                      },
                      items: const [
                        DropdownMenuItem(value: Phase.dev, child: Text('dev')),
                        DropdownMenuItem(value: Phase.staging, child: Text('staging')),
                        DropdownMenuItem(value: Phase.live, child: Text('live'))
                      ],
                    ),
                  ],
                ))));
  }
}
